Subject: [bug#53882] [PATCH] gnu: Add ocaml-core.

From: Julien Lepiller <[email-masked]>
Date: Tue, 8 Feb 2022 21:08:15 +0100

Hi Guix!

This patch series adds ocaml-core. It's one of the missing dependencies
for bap. Adding this will get us closer to being able to update bap,
and getting rid of its ocaml4.07 dependencies.

The first two patches modify the importer, and I needed them to import
the packages. The following patches are dependencies of ocaml-core.
All of them follow the same principle: add the package and make the
ocaml4.07 variant inherit from it. The derivation for most of these
variants stay the same.